Security Bulletin: Information regarding security vulnerability in IBM SDK for Java that is shipped with IBM WebSphere Application Server and addressed by Oracle CPU October 2013

Security Bulletin


Summary

Multiple security vulnerabilities exist in the IBM SDK for Java that is shipped with IBM WebSphere Application Server and is included in the products that are listed in this document.

Vulnerability Details

The products that are listed in the Affected products section are shipped with a version of IBM WebSphere Application Server, which is shipped with an IBM SDK for Java that is based on the Oracle Java Development Kit (JDK). Oracle has released October 2013 critical patch updates (CPU), which contain security vulnerability fixes and the IBM SDK for Java has been updated to incorporate the critical patch updates.
CVEID: CVE-2013-5780
Description: Potential information disclosure vulnerability in Java™ Secure Socket Extension (JSSE).
CVSS Base Score: 4.3
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/88001 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:M/Au:N/C:P/I:N/A:N)

CVEID: CVE-2013-5372
Description: Potential denial of service vulnerability in XML. This issue is specific to the IBM SDK for Java.
CVSS Base Score: 4.3
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/86662 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:M/Au:N/C:N/I:N/A:P)

CVEID: CVE-2013-5803
Description: Potential denial of service vulnerability in JSSE.
CVSS Base Score: 2.6
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/88008 for the current score
CVSS Environmental Score*: Undefined
CVSS Vector: (AV:N/AC:H/Au:N/C:N/I:N/A:P)

Vulnerability fixes for other advisories are included in the IBM SDK for Java, but IBM WebSphere Application Server and the products that are listed in the Affected products section are not vulnerable to them. You need to evaluate your own code to determine if you are vulnerable. Refer to the Reference section for more information on the advisories that are not applicable to WebSphere Application Server.

Affected Products and Versions

  • WebSphere Business Services Fabric V6.2.x, 7.0.x
  • WebSphere Business Services Fabric on z/OS V6.2.x, 7.0.x

Remediation/Fixes

Install WebSphere Application Server interim fixes as appropriate for your current WebSphere Application Server version as described in Security Bulletin: Multiple vulnerabilities in current IBM SDK for Java for WebSphere Application Server October 2013 CPU.

Workarounds and Mitigations

None

Important note

IBM strongly suggests that all System z customers be subscribed to the System z Security Portal to receive the latest critical System z security and integrity service. If you are not subscribed, see the instructions on the System z Security web site. Security and integrity APARs and associated fixes will be posted to this portal. IBM suggests reviewing the CVSS scores and applying all security or integrity fixes as soon as possible to minimize any potential risk.

References

Related information

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this Security Bulletin.

Disclaimer

According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Related information

IBM WebSphere Application Server Security Bulletin
IBM SDK for Java Security Bulletin
Oracle Critical Patch Update Advisory
IBM SDK for Java Security Alerts

Cross reference information
Segment Product Component Platform Version Edition
Business Integration WebSphere Business Services Fabric for z/OS z/OS 7.0.0.3, 7.0.0.2, 7.0, 6.2

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere Business Services Fabric
Security

Software version:

6.2, 6.2.0.1, 6.2.0.2, 7.0, 7.0.0.1, 7.0.0.2, 7.0.0.3

Operating system(s):

AIX, Linux, Solaris, Windows, z/OS

Reference #:

1659892

Modified date:

2013-12-16

Translate my page

Machine Translation

Content navigation